import {Component, Input, OnInit} from '@angular/core';

@Component({
  selector: 'v-loading-bump',
  templateUrl: './loading-bump.component.html',
  styleUrls: ['./loading-bump.component.scss'],
})
export class LoadingBumpComponent implements OnInit {

  constructor() { }

  @Input()
  remain = 0;

  ngOnInit() {
    window.setInterval( () => {
      this.changeRamainTime();
    } , 1000 );
  }

  changeRamainTime() {
    // if (this.remain > 0) {
    //     this.remain = this.remain - 1;
    // }
  }

}
